FSCK.CRAMFS(8)

BEZEICHNUNG
fsck.cramfs - ein komprimiertes ROM-Dateisystem überprüfen

ÜBERSICHT

fsck.cramfs [Optionen] Datei

BESCHREIBUNG

fsck.cramfs wird zur Überprüfung des cramfs-Dateisystems verwendet.

OPTIONEN

-v, --verbose
    aktiviert den ausführlichen Modus.

-b, --blocksize Blockgröße
    verwendet diese Blockgröße, in der Voreinstellung die Seitengröße. Diese muss der bei der Erstellung verwendeten Größe entsprechen. Dies wird nur für --extract verwendet.

--extract[=directory]
    testet die Dekomprimierung des gesamten Dateisystems. Optional wird nur der Inhalt der Datei in das Verzeichnis entpackt.

-a
    Diese Option wird stillschweigend ignoriert.

-y
    Diese Option wird stillschweigend ignoriert.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    Display version and exit.

EXIT-STATUS

0
    Erfolg

4
    nicht korrigierte Dateisystemfehler verbleiben

8
    Betriebsfehler, beispielsweise konnte kein Speicher zugewiesen werden

16
    Benutzerinformationen wurden ausgegeben

SIEHE AUCH

mount(8), mkfs.cramfs(8)

FEHLER MELDEN

For bug reports, use the

VERFÜGBARKEIT

Der Befehl fsck.cramfs ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.